Bug 472847 - 10.1 Basic
10.1 Basic
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Grid_User_Guide (Show other bugs)
1.1
All Linux
high Severity high
: 1.1
: ---
Assigned To: Lana Brindley
Jeff Needle
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-24 21:40 EST by William Henry
Modified: 2013-10-23 19:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 00:10:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Henry 2008-11-24 21:40:38 EST
Description of problem:

We need a small section or perhaps little hint box for taking advantage of  EC2's different machine sizes:

<hint>
EC2 provides several options including instance types: small, large and extra large.

The default instance type is small and assumes an i386 architecture. If the AMI you wish to deploy in the cloud is x86_64 then you will need to set the following value in your job submission:

amazon_instance_type = large

For more information on instance types see:
http://aws.amazon.com/ec2/#instance

You may be using the wrong instance type if you see a message like this in your job ClassAd when you run <code>condor_q -l<code>
HoldReason = "The requested instance type's architecture (i386) does not match the architecture in the manifest for ami-bda347d4 (x86_64)"
<hint>

Lana, is this too much for a hint? Should it be a section at the end of the basic steps?
Comment 1 William Henry 2008-11-24 22:13:27 EST
May want to add this. There are actually five types (sorry Lana)

Valid amazon_instance_type settings are:

m1.small - i386 instance with 1 compute unit
m1.large - x86_64 instance with 4 compute units
m1.xlarge - x86_64 instance with 8 compute units
c1.medium - i386 instance with 5 compute units
c1.xlarge - x86_64 instance with 20 compute units

For more detailed technical information on the instance types see:
http://docs.amazonwebservices.com/AWSEC2/latest/DeveloperGuide/

[So fix the one above that says: large to m1.large]
Comment 2 Lana Brindley 2008-11-24 22:30:59 EST
It's in. Available for review shortly.

LKB

Note You need to log in before you can comment on or make changes to this bug.